Freeciv-3.3: utf8_str Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
utf8_str Struct Reference

`#include <gui_string.h>`

## Data Fields

Uint8 | style
Uint8 | render
Uint16 | ptsize
size_t | n_alloc
SDL_Color | fgcol
SDL_Color | bgcol
TTF_Font * | font
char * | text

## Detailed Description

Definition at line 52 of file gui_string.h.

## Field Documentation

## ◆ bgcol

SDL_Color utf8_str::bgcol

Definition at line 58 of file gui_string.h.

Referenced by redraw_label().

## ◆ fgcol

SDL_Color utf8_str::fgcol

Definition at line 57 of file gui_string.h.

Referenced by create_tech_info(), msg_callback(), real_city_report_dialog_update_city(), real_units_report_dialog_update(), redraw_label(), and redraw_widget_info_label().

## ◆ font

TTF_Font * utf8_str::font

Definition at line 59 of file gui_string.h.

## ◆ n_alloc

size_t utf8_str::n_alloc

Definition at line 56 of file gui_string.h.

Referenced by input_edit_conn_callback().

## ◆ ptsize

Uint16 utf8_str::ptsize

Definition at line 55 of file gui_string.h.

## ◆ render

Uint8 utf8_str::render

Definition at line 54 of file gui_string.h.

Referenced by redraw_label().

## ◆ style

Uint8 utf8_str::style

Definition at line 53 of file gui_string.h.

Referenced by combo_new(), combo_redraw(), create_edit(), create_icon_button(), option_dialog_worklist(), option_widget_new(), popup_load_game_dialog(), popup_minimap_window(), popup_terrain_info_dialog(), redraw_iconlabel(), redraw_label(), redraw_widget_info_label(), remake_label_size(), and show_main_page().

## ◆ text

char * utf8_str::text

Definition at line 60 of file gui_string.h.

Referenced by combo_menu_item_callback(), convert_first_passwd_callback(), convert_passwd_callback(), convert_playername_callback(), convert_portnr_callback(), convert_second_passwd_callback(), convert_servername_callback(), gold_callback(), input_edit_conn_callback(), inputline_return_callback(), leader_name_edit_callback(), new_name_city_dlg_callback(), newcity_name_edit_callback(), newcity_ok_callback(), ok_save_cma_callback(), option_widget_apply(), races_dialog_ok_callback(), refresh_city_names(), and rename_worklist_editor_callback().